/* Notification Bar
 *------------------------------------------------------------*/

.hygge-notif {
	background: @black;
	height: 50px;
	line-height: 50px !important;
	position: relative;
	white-space: nowrap;
	overflow: hidden;
	text-align: center;
	display: none;

	body.notif--true[hygge-notif="true"] & {
		display: block;
	}

	* + * {
		margin-left: 20px;
	}

	&__text,
	#subscribe-text,
	.success {
		display: inline-block;
		vertical-align: middle;
		line-height: 1;
		.small;
		margin: 10px auto;
		overflow: hidden;
		text-overflow: ellipsis;
		white-space: nowrap;
		max-width: 60%;
	}

	&__btn {
		vertical-align: middle;
	}

	&__hide {
		position: absolute;
		right: 0;
		top: 0;
		height: 50px;
		width: 50px;
		cursor: pointer;
	}

	.jetpack_subscription_widget {
		p, #subscribe-text { display: inline-block; margin-bottom: 5px; }
		p * { margin: 0; }

		#subscribe-email { width: 180px; }

		input[type="email"] {
			height: 27px;
			vertical-align: middle;
		}

		input[type="submit"] { .button--small; }
	}

}
